跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
transfers
Token - Transfer List
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1738227.69",
      "blockTimestamp": 1710417600000,
      "fromAddress": "3xad3gVnkBLA48PwPApHTu7zSWBV3x6dUfNnBSmMNvn3",
      "id": "transfer-1",
      "status": "succeeded",
      "toAddress": "FgkE7Kwvt4DAU2MbaZmf8ZwKFUUDXR5ownmuYKsUqkxs",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "transactionSignature": "3hmmomhUcmLMw2ZCqKg5MBfK8b7RBNrBpqvE2Wv7u5V6PCMLh4s7dVfA83NbzNFAgTzVvZuMURoKEviwR92otRp",
      "type": "in",
      "amountInUsd": "4.07"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

An address of a token

查询参数

cursor
string

Pagination cursor

limit
integer<int64>
默认值:20

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev
fromTimestamp
integer<int64>

Start timestamp (Unix epoch in seconds)

toTimestamp
integer<int64>

End timestamp (Unix epoch in seconds)

响应

200 - application/json

Get Transfer List

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="